public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy: do not test watch in systemd-timesyncd on RHEL < 9
@ 2026-09-11 13:19 Zdenek Pytela
  0 siblings, 0 replies; only message in thread
From: Zdenek Pytela @ 2026-09-11 13:19 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 134253d9800e6a027c792f35807b959cd306fd0d
            Author : Zdenek Pytela <zpytela@redhat.com>
            Date   : 2021-08-12T10:54:30+00:00
            Stats  : +2/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/134253d9800e6a027c792f35807b959cd306fd0d?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-policy: do not test watch in systemd-timesyncd on RHEL < 9

The watch permissions are present only in RHEL 9 and Fedora,
so the subtests for watch should not be executed in the systemd-timesyncd
test on a system with RHEL up to version 8.

---
diff --git a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
index f9b1b7f..66f114f 100755
--- a/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
+++ b/selinux-policy/systemd-timesyncd-and-similar/runtest.sh
@@ -102,12 +102,14 @@ rlJournalStart
         rlSESearchRule "allow systemd_timedated_t efivarfs_t : file { getattr open read } [ ]"
     rlPhaseEnd
 
+    if ! rlIsRHEL '<9' ; then
     rlPhaseStartTest "bz#1949315"
         rlSEMatchPathCon "/" "root_t"
         rlSEMatchPathCon "/run" "var_run_t"
         rlSESearchRule "allow systemd_timedated_t root_t : dir { watch } [ ]"
         rlSESearchRule "allow systemd_timedated_t var_run_t : dir { watch } [ ]"
     rlPhaseEnd
+    fi
 
     if systemctl list-units | grep -q ${SERVICE_NAME} ; then
     rlPhaseStartTest "real scenario -- standalone service"

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy: do not test watch in systemd-timesyncd on RHEL < 9 Zdenek Pytela

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox